## libgcrypt11 1.2.3-2.maemo1

=== doc/Makefile ===
# Makefile.in generated by automake 1.8.5 from Makefile.am.
# doc/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Copyright (C) 2002 Free Software Foundation, Inc.
#
# This file is part of Libgcrypt.
#
# Libgcrypt is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as
# published by the Free Software Foundation; either version 2.1 of
# the License, or (at your option) any later version.
#
# Libgcrypt is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/libgcrypt
pkglibdir = $(libdir)/libgcrypt
pkgincludedir = $(includedir)/libgcrypt
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = i486-pc-linux-gnu
subdir = doc
DIST_COMMON = $(gcrypt_TEXINFOS) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(srcdir)/stamp-vti \
	$(srcdir)/version.texi ChangeLog mdate-sh texinfo.tex
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/acinclude.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
INFO_DEPS = $(srcdir)/gcrypt.info
am__TEXINFO_TEX_DIR = $(srcdir)
DVIS = gcrypt.dvi
PDFS = gcrypt.pdf
PSS = gcrypt.ps
HTMLS = gcrypt.html
TEXINFOS = gcrypt.texi
TEXI2DVI = texi2dvi
TEXI2PDF = $(TEXI2DVI) --pdf --batch
MAKEINFOHTML = $(MAKEINFO) --html
AM_MAKEINFOHTMLFLAGS = $(AM_MAKEINFOFLAGS)
DVIPS = dvips
am__installdirs = "$(DESTDIR)$(infodir)"
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/ed/misc/libgcrypt11-1.2.3/missing --run aclocal-1.9
AMDEP_FALSE = 
AMDEP_TRUE = #
AMTAR = ${SHELL} /home/ed/misc/libgcrypt11-1.2.3/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/ed/misc/libgcrypt11-1.2.3/missing --run autoconf
AUTOHEADER = ${SHELL} /home/ed/misc/libgcrypt11-1.2.3/missing --run autoheader
AUTOMAKE = ${SHELL} /home/ed/misc/libgcrypt11-1.2.3/missing --run automake-1.9
AWK = gawk
CC = cc
CCAS = cc
CCASFLAGS = -g -Wall -O2
CCDEPMODE = depmode=none
CFLAGS = -g -Wall -O2 -Wall
CPP = cc -E
CPPFLAGS = 
CROSS_COMPILING_FALSE = 
CROSS_COMPILING_TRUE = #
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=none
CXXFLAGS = -g -Wall -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = 
FFLAGS = 
GCRYPT_CIPHERS =  arcfour.lo blowfish.lo cast5.lo des.lo rijndael.lo twofish.lo serpent.lo rfc2268.lo
GCRYPT_DIGESTS =  crc.lo md4.lo md5.lo sha256.lo sha512.lo tiger.lo rmd160.lo sha1.lo
GCRYPT_PUBKEY_CIPHERS =  dsa.lo rsa.lo elgamal.lo
GCRYPT_RANDOM =  rndlinux.lo
GPG_ERROR_CFLAGS = 
GPG_ERROR_CONFIG = /usr/bin/gpg-error-config
GPG_ERROR_LIBS = -lgpg-error
HAVE_LD_VERSION_SCRIPT_FALSE = #
HAVE_LD_VERSION_SCRIPT_TRUE = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBGCRYPT_CIPHERS = arcfour blowfish cast5 des aes twofish serpent rfc2268
LIBGCRYPT_CONFIG_API_VERSION = 1
LIBGCRYPT_CONFIG_CFLAGS = 
LIBGCRYPT_CONFIG_LIBS = -lgcrypt
LIBGCRYPT_DIGESTS = crc md4 md5 rmd160 sha1 sha256 sha512 tiger
LIBGCRYPT_LT_AGE = 2
LIBGCRYPT_LT_CURRENT = 13
LIBGCRYPT_LT_REVISION = 2
LIBGCRYPT_PUBKEY_CIPHERS = dsa elgamal rsa
LIBGCRYPT_THREAD_MODULES = 
LIBOBJS = 
LIBS = -lnsl  -lnsl
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #
MAKEINFO = ${SHELL} /home/ed/misc/libgcrypt11-1.2.3/missing --run makeinfo
MPI_MOD_LIST_LO =  mpih-add1.lo mpih-sub1.lo mpih-mul1.lo mpih-mul2.lo mpih-mul3.lo mpih-lshift.lo mpih-rshift.lo
MPI_MOD_LIST_O =  mpih-add1.o mpih-sub1.o mpih-mul1.o mpih-mul2.o mpih-mul3.o mpih-lshift.o mpih-rshift.o
MPI_SFLAGS = 
NOEXECSTACK_FLAGS = -Wa,--noexecstack
OBJEXT = o
PACKAGE = libgcrypt
PACKAGE_BUGREPORT = bug-libgcrypt@gnupg.org
PACKAGE_NAME = libgcrypt
PACKAGE_STRING = libgcrypt 1.2.3
PACKAGE_TARNAME = libgcrypt
PACKAGE_VERSION = 1.2.3
PATH_SEPARATOR = :
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 1.2.3
ac_ct_AR = ar
ac_ct_CC = cc
ac_ct_CXX = 
ac_ct_F77 = 
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
am__fastdepCC_FALSE = 
am__fastdepCC_TRUE = #
am__fastdepCXX_FALSE = 
am__fastdepCXX_TRUE = #
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i486-pc-linux-gnu
build_alias = i486-linux-gnu
build_cpu = i486
build_os = linux-gnu
build_vendor = pc
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = i486-pc-linux-gnu
host_alias = 
host_cpu = i486
host_os = linux-gnu
host_vendor = pc
includedir = ${prefix}/include
infodir = ${prefix}/share/info
install_sh = /home/ed/misc/libgcrypt11-1.2.3/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${prefix}/lib/libgcrypt11
localstatedir = /var
mandir = ${prefix}/share/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
prefix = /usr
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = /etc
target = i486-pc-linux-gnu
target_alias = 
target_cpu = i486
target_os = linux-gnu
target_vendor = pc
DISTCLEANFILES = gcrypt.cps
info_TEXINFOS = gcrypt.texi
gcrypt_TEXINFOS = lgpl.texi gpl.texi
all: all-am

.SUFFIXES:
.SUFFIXES: .dvi .html .info .pdf .ps .texi
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  doc/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  doc/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool

.texi.info:
	restore=: && \
	backupdir="$(am__leading_dot)am$$$$" && \
	am__cwd=`pwd` && cd $(srcdir) && \
	rm -rf $$backupdir && mkdir $$backupdir && \
	for f in $@ $@-[0-9] $@-[0-9][0-9] $(@:.info=).i[0-9] $(@:.info=).i[0-9][0-9]; do \
	  if test -f $$f; then \
	    mv $$f $$backupdir; \
	    restore=mv; \
	  fi; \
	done; \
	cd "$$am__cwd"; \
	if $(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I $(srcdir) \
	 -o $@ $<; \
	then \
	  rc=0; \
	  cd $(srcdir); \
	else \
	  rc=$$?; \
	  cd $(srcdir) && \
	  $$restore $$backupdir/* `echo "./$@" | sed 's|[^/]*$$||'`; \
	fi; \
	rm -rf $$backupdir; \
	exit $$rc

.texi.dvi:
	TEXINPUTS="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \
	MAKEINFO='$(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I $(srcdir)' \
	$(TEXI2DVI) $<

.texi.pdf:
	TEXINPUTS="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \
	MAKEINFO='$(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I $(srcdir)' \
	$(TEXI2PDF) $<

.texi.html:
	$(MAKEINFOHTML) $(AM_MAKEINFOHTMLFLAGS) $(MAKEINFOFLAGS) -I $(srcdir) \
	 -o $@ $<
	if test ! -d $@ && test -d $(@:.html=); then \
	  mv $(@:.html=) $@; else :; fi
$(srcdir)/gcrypt.info: gcrypt.texi $(srcdir)/version.texi $(gcrypt_TEXINFOS)
gcrypt.dvi: gcrypt.texi $(srcdir)/version.texi $(gcrypt_TEXINFOS)
gcrypt.pdf: gcrypt.texi $(srcdir)/version.texi $(gcrypt_TEXINFOS)
gcrypt.html: gcrypt.texi $(srcdir)/version.texi $(gcrypt_TEXINFOS)
$(srcdir)/version.texi: # $(srcdir)/stamp-vti
$(srcdir)/stamp-vti: gcrypt.texi $(top_srcdir)/configure
	@(dir=.; test -f ./gcrypt.texi || dir=$(srcdir); \
	set `$(SHELL) $(srcdir)/mdate-sh $$dir/gcrypt.texi`; \
	echo "@set UPDATED $$1 $$2 $$3"; \
	echo "@set UPDATED-MONTH $$2 $$3"; \
	echo "@set EDITION $(VERSION)"; \
	echo "@set VERSION $(VERSION)") > vti.tmp
	@cmp -s vti.tmp $(srcdir)/version.texi \
	  || (echo "Updating $(srcdir)/version.texi"; \
	      cp vti.tmp $(srcdir)/version.texi)
	-@rm -f vti.tmp
	@cp $(srcdir)/version.texi $@

mostlyclean-vti:
	-rm -f vti.tmp

maintainer-clean-vti:
#	-rm -f $(srcdir)/stamp-vti $(srcdir)/version.texi
.dvi.ps:
	$(DVIPS) -o $@ $<

uninstall-info-am:
	$(PRE_UNINSTALL)
	@if (install-info --version && \
	     install-info --version 2>&1 | sed 1q | grep -i -v debian) >/dev/null 2>&1; then \
	  list='$(INFO_DEPS)'; \
	  for file in $$list; do \
	    relfile=`echo "$$file" | sed 's|^.*/||'`; \
	    echo " install-info --info-dir='$(DESTDIR)$(infodir)' --remove '$(DESTDIR)$(infodir)/$$relfile'"; \
	    install-info --info-dir="$(DESTDIR)$(infodir)" --remove "$(DESTDIR)$(infodir)/$$relfile"; \
	  done; \
	else :; fi
	@$(NORMAL_UNINSTALL)
	@list='$(INFO_DEPS)'; \
	for file in $$list; do \
	  relfile=`echo "$$file" | sed 's|^.*/||'`; \
	  relfile_i=`echo "$$relfile" | sed 's|\.info$$||;s|$$|.i|'`; \
	  (if cd "$(DESTDIR)$(infodir)"; then \
	     echo " rm -f $$relfile $$relfile-[0-9] $$relfile-[0-9][0-9] $$relfile_i[0-9] $$relfile_i[0-9][0-9])"; \
	     rm -f $$relfile $$relfile-[0-9] $$relfile-[0-9][0-9] $$relfile_i[0-9] $$relfile_i[0-9][0-9]; \
	   else :; fi); \
	done

dist-info: $(INFO_DEPS)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	list='$(INFO_DEPS)'; \
	for base in $$list; do \
	  case $$base in \
	    $(srcdir)/*) base=`echo "$$base" | sed "s|^$$srcdirstrip/||"`;; \
	  esac; \
	  if test -f $$base; then d=.; else d=$(srcdir); fi; \
	  for file in $$d/$$base*; do \
	    relfile=`expr "$$file" : "$$d/\(.*\)"`; \
	    test -f $(distdir)/$$relfile || \
	      cp -p $$file $(distdir)/$$relfile; \
	  done; \
	done

mostlyclean-aminfo:
	-rm -rf gcrypt.aux gcrypt.cp gcrypt.cps gcrypt.fn gcrypt.fns gcrypt.ky \
	  gcrypt.kys gcrypt.log gcrypt.pg gcrypt.tmp gcrypt.toc \
	  gcrypt.tp gcrypt.vr gcrypt.vrs gcrypt.dvi gcrypt.pdf \
	  gcrypt.ps gcrypt.html

maintainer-clean-aminfo:
	@list='$(INFO_DEPS)'; for i in $$list; do \
	  i_i=`echo "$$i" | sed 's|\.info$$||;s|$$|.i|'`; \

=== tests/Makefile ===
# Makefile.in generated by automake 1.8.5 from Makefile.am.
# tests/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Copyright (C) 2001, 2002, 2003 Free Software Foundation, Inc.
#
# This file is part of Libgcrypt.
#
# Libgcrypt is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as
# published by the Free Software Foundation; either version 2.1 of
# the License, or (at your option) any later version.
#
# Libgcrypt is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA

SOURCES = ac.c basic.c benchmark.c keygen.c prime.c pubkey.c random.c register.c t-mpi-bit.c testapi.c tsexp.c

srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/libgcrypt
pkglibdir = $(libdir)/libgcrypt
pkgincludedir = $(includedir)/libgcrypt
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = i486-pc-linux-gnu
EXTRA_PROGRAMS = testapi$(EXEEXT)
noinst_PROGRAMS = $(am__EXEEXT_1)
subdir = tests
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in ChangeLog
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/acinclude.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
am__EXEEXT_1 = prime$(EXEEXT) register$(EXEEXT) ac$(EXEEXT) \
	basic$(EXEEXT) tsexp$(EXEEXT) keygen$(EXEEXT) pubkey$(EXEEXT) \
	benchmark$(EXEEXT) random$(EXEEXT) t-mpi-bit$(EXEEXT)
PROGRAMS = $(noinst_PROGRAMS)
ac_SOURCES = ac.c
ac_OBJECTS = ac.$(OBJEXT)
ac_LDADD = $(LDADD)
ac_DEPENDENCIES = ../src/libgcrypt.la
basic_SOURCES = basic.c
basic_OBJECTS = basic.$(OBJEXT)
basic_LDADD = $(LDADD)
basic_DEPENDENCIES = ../src/libgcrypt.la
benchmark_SOURCES = benchmark.c
benchmark_OBJECTS = benchmark.$(OBJEXT)
benchmark_LDADD = $(LDADD)
benchmark_DEPENDENCIES = ../src/libgcrypt.la
keygen_SOURCES = keygen.c
keygen_OBJECTS = keygen.$(OBJEXT)
keygen_LDADD = $(LDADD)
keygen_DEPENDENCIES = ../src/libgcrypt.la
prime_SOURCES = prime.c
prime_OBJECTS = prime.$(OBJEXT)
prime_LDADD = $(LDADD)
prime_DEPENDENCIES = ../src/libgcrypt.la
pubkey_SOURCES = pubkey.c
pubkey_OBJECTS = pubkey.$(OBJEXT)
pubkey_LDADD = $(LDADD)
pubkey_DEPENDENCIES = ../src/libgcrypt.la
random_SOURCES = random.c
random_OBJECTS = random.$(OBJEXT)
random_LDADD = $(LDADD)
random_DEPENDENCIES = ../src/libgcrypt.la
register_SOURCES = register.c
register_OBJECTS = register.$(OBJEXT)
register_LDADD = $(LDADD)
register_DEPENDENCIES = ../src/libgcrypt.la
t_mpi_bit_SOURCES = t-mpi-bit.c
t_mpi_bit_OBJECTS = t-mpi-bit.$(OBJEXT)
t_mpi_bit_LDADD = $(LDADD)
t_mpi_bit_DEPENDENCIES = ../src/libgcrypt.la
testapi_SOURCES = testapi.c
testapi_OBJECTS = testapi.$(OBJEXT)
testapi_LDADD = $(LDADD)
testapi_DEPENDENCIES = ../src/libgcrypt.la
tsexp_SOURCES = tsexp.c
tsexp_OBJECTS = tsexp.$(OBJEXT)
tsexp_LDADD = $(LDADD)
tsexp_DEPENDENCIES = ../src/libgcrypt.la
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
#DEP_FILES = ./$(DEPDIR)/ac.Po ./$(DEPDIR)/basic.Po \
#	./$(DEPDIR)/benchmark.Po ./$(DEPDIR)/keygen.Po \
#	./$(DEPDIR)/prime.Po ./$(DEPDIR)/pubkey.Po \
#	./$(DEPDIR)/random.Po ./$(DEPDIR)/register.Po \
#	./$(DEPDIR)/t-mpi-bit.Po ./$(DEPDIR)/testapi.Po \
#	./$(DEPDIR)/tsexp.Po
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = ac.c basic.c benchmark.c keygen.c prime.c pubkey.c random.c \
	register.c t-mpi-bit.c testapi.c tsexp.c
DIST_SOURCES = ac.c basic.c benchmark.c keygen.c prime.c pubkey.c \
	random.c register.c t-mpi-bit.c testapi.c tsexp.c
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/ed/misc/libgcrypt11-1.2.3/missing --run aclocal-1.9
AMDEP_FALSE = 
AMDEP_TRUE = #
AMTAR = ${SHELL} /home/ed/misc/libgcrypt11-1.2.3/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/ed/misc/libgcrypt11-1.2.3/missing --run autoconf
AUTOHEADER = ${SHELL} /home/ed/misc/libgcrypt11-1.2.3/missing --run autoheader
AUTOMAKE = ${SHELL} /home/ed/misc/libgcrypt11-1.2.3/missing --run automake-1.9
AWK = gawk
CC = cc
CCAS = cc
CCASFLAGS = -g -Wall -O2
CCDEPMODE = depmode=none
CFLAGS = -g -Wall -O2 -Wall
CPP = cc -E
CPPFLAGS = 
CROSS_COMPILING_FALSE = 
CROSS_COMPILING_TRUE = #
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=none
CXXFLAGS = -g -Wall -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = 
FFLAGS = 
GCRYPT_CIPHERS =  arcfour.lo blowfish.lo cast5.lo des.lo rijndael.lo twofish.lo serpent.lo rfc2268.lo
GCRYPT_DIGESTS =  crc.lo md4.lo md5.lo sha256.lo sha512.lo tiger.lo rmd160.lo sha1.lo
GCRYPT_PUBKEY_CIPHERS =  dsa.lo rsa.lo elgamal.lo
GCRYPT_RANDOM =  rndlinux.lo
GPG_ERROR_CFLAGS = 
GPG_ERROR_CONFIG = /usr/bin/gpg-error-config
GPG_ERROR_LIBS = -lgpg-error
HAVE_LD_VERSION_SCRIPT_FALSE = #
HAVE_LD_VERSION_SCRIPT_TRUE = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBGCRYPT_CIPHERS = arcfour blowfish cast5 des aes twofish serpent rfc2268
LIBGCRYPT_CONFIG_API_VERSION = 1
LIBGCRYPT_CONFIG_CFLAGS = 
LIBGCRYPT_CONFIG_LIBS = -lgcrypt
LIBGCRYPT_DIGESTS = crc md4 md5 rmd160 sha1 sha256 sha512 tiger
LIBGCRYPT_LT_AGE = 2
LIBGCRYPT_LT_CURRENT = 13
LIBGCRYPT_LT_REVISION = 2
LIBGCRYPT_PUBKEY_CIPHERS = dsa elgamal rsa
LIBGCRYPT_THREAD_MODULES = 
LIBOBJS = 
LIBS = -lnsl  -lnsl
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #
MAKEINFO = ${SHELL} /home/ed/misc/libgcrypt11-1.2.3/missing --run makeinfo
MPI_MOD_LIST_LO =  mpih-add1.lo mpih-sub1.lo mpih-mul1.lo mpih-mul2.lo mpih-mul3.lo mpih-lshift.lo mpih-rshift.lo
MPI_MOD_LIST_O =  mpih-add1.o mpih-sub1.o mpih-mul1.o mpih-mul2.o mpih-mul3.o mpih-lshift.o mpih-rshift.o
MPI_SFLAGS = 
NOEXECSTACK_FLAGS = -Wa,--noexecstack
OBJEXT = o
PACKAGE = libgcrypt
PACKAGE_BUGREPORT = bug-libgcrypt@gnupg.org
PACKAGE_NAME = libgcrypt
PACKAGE_STRING = libgcrypt 1.2.3
PACKAGE_TARNAME = libgcrypt
PACKAGE_VERSION = 1.2.3
PATH_SEPARATOR = :
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 1.2.3
ac_ct_AR = ar
ac_ct_CC = cc
ac_ct_CXX = 
ac_ct_F77 = 
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
am__fastdepCC_FALSE = 
am__fastdepCC_TRUE = #
am__fastdepCXX_FALSE = 
am__fastdepCXX_TRUE = #
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i486-pc-linux-gnu
build_alias = i486-linux-gnu
build_cpu = i486
build_os = linux-gnu
build_vendor = pc
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = i486-pc-linux-gnu
host_alias = 
host_cpu = i486
host_os = linux-gnu
host_vendor = pc
includedir = ${prefix}/include
infodir = ${prefix}/share/info
install_sh = /home/ed/misc/libgcrypt11-1.2.3/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${prefix}/lib/libgcrypt11
localstatedir = /var
mandir = ${prefix}/share/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
prefix = /usr
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = /etc
target = i486-pc-linux-gnu
target_alias = 
target_cpu = i486
target_os = linux-gnu
target_vendor = pc
TESTS = prime register ac basic tsexp keygen pubkey benchmark random \
	t-mpi-bit

INCLUDES = -I$(top_srcdir)/src
LDADD = ../src/libgcrypt.la
AM_CFLAGS = 
all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  tests/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  tests/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

clean-noinstPROGRAMS:
	@list='$(noinst_PROGRAMS)'; for p in $$list; do \
	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  echo " rm -f $$p $$f"; \
	  rm -f $$p $$f ; \
	done
ac$(EXEEXT): $(ac_OBJECTS) $(ac_DEPENDENCIES) 
	@rm -f ac$(EXEEXT)
	$(LINK) $(ac_LDFLAGS) $(ac_OBJECTS) $(ac_LDADD) $(LIBS)
basic$(EXEEXT): $(basic_OBJECTS) $(basic_DEPENDENCIES) 
	@rm -f basic$(EXEEXT)
	$(LINK) $(basic_LDFLAGS) $(basic_OBJECTS) $(basic_LDADD) $(LIBS)
benchmark$(EXEEXT): $(benchmark_OBJECTS) $(benchmark_DEPENDENCIES) 
	@rm -f benchmark$(EXEEXT)
	$(LINK) $(benchmark_LDFLAGS) $(benchmark_OBJECTS) $(benchmark_LDADD) $(LIBS)
keygen$(EXEEXT): $(keygen_OBJECTS) $(keygen_DEPENDENCIES) 
	@rm -f keygen$(EXEEXT)
	$(LINK) $(keygen_LDFLAGS) $(keygen_OBJECTS) $(keygen_LDADD) $(LIBS)
prime$(EXEEXT): $(prime_OBJECTS) $(prime_DEPENDENCIES) 
	@rm -f prime$(EXEEXT)
	$(LINK) $(prime_LDFLAGS) $(prime_OBJECTS) $(prime_LDADD) $(LIBS)
pubkey$(EXEEXT): $(pubkey_OBJECTS) $(pubkey_DEPENDENCIES) 
	@rm -f pubkey$(EXEEXT)
	$(LINK) $(pubkey_LDFLAGS) $(pubkey_OBJECTS) $(pubkey_LDADD) $(LIBS)
random$(EXEEXT): $(random_OBJECTS) $(random_DEPENDENCIES) 
	@rm -f random$(EXEEXT)
	$(LINK) $(random_LDFLAGS) $(random_OBJECTS) $(random_LDADD) $(LIBS)
register$(EXEEXT): $(register_OBJECTS) $(register_DEPENDENCIES) 
	@rm -f register$(EXEEXT)
	$(LINK) $(register_LDFLAGS) $(register_OBJECTS) $(register_LDADD) $(LIBS)
t-mpi-bit$(EXEEXT): $(t_mpi_bit_OBJECTS) $(t_mpi_bit_DEPENDENCIES) 
	@rm -f t-mpi-bit$(EXEEXT)
	$(LINK) $(t_mpi_bit_LDFLAGS) $(t_mpi_bit_OBJECTS) $(t_mpi_bit_LDADD) $(LIBS)
testapi$(EXEEXT): $(testapi_OBJECTS) $(testapi_DEPENDENCIES)

## libgcrypt11 1.2.3-2

=== debian/changelog ===
libgcrypt11 (1.2.3-2) unstable; urgency=low

  [ Andreas Metzler ]
  * Actually the keygen test does not access /dev/random, the pubkey test is
    the entropy expensive one. Disable running pubkey test on arm, s390 and
    sparc where it caused FTBFS. Re-enable keygen on s390. (closes: #385805)

 -- Andreas Metzler <ametzler@debian.org>  Mon,  4 Sep 2006 19:44:50 +0200

libgcrypt11 (1.2.3-1) unstable; urgency=low

  [ Andreas Metzler ]
  * Mark libgcrypt11-dbg as Priority: extra in debian/control
  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Sat,  2 Sep 2006 15:13:46 +0200

libgcrypt11 (1.2.2-3) unstable; urgency=low

  [ Andreas Metzler ]
  * Don't run keygen test on s390 as the buildd seems to be entropy-starved
    (closes: #377526)

 -- Andreas Metzler <ametzler@debian.org>  Sat, 29 Jul 2006 12:54:49 +0200

libgcrypt11 (1.2.2-2) unstable; urgency=low

  [ James Westby ]
  * New maintainer team. Thanks, Matthias for all the work you did.
  * Set maintainer to alioth mailinglist.
  * Drop build-dependency on binutils (>= 2.14.90.0.7), even sarge has 2.15-6.
  * Standards-Version: 3.7.2, no changes required.
  * Clean packaging against upstream tarball.
  * Drop debian/*.dirs as dh_* will create the necessary directories.
  * Remove code from debian/rules to update config.sub and config.guess as it
    is handled by cdbs. Build-Depends on autotools-dev.
  * Pass --enable-noexecstack to ./configure (closes: #321720)
  * Use cdbs' simple-patchsys.mk.
    - add debian/README.source_and_patches
    - add debian/patches/11_gcrypt_h_362636 (closes: #362636)
    - add debian/patches/20_doc_gcrypt_texi_typos.patch to correct a small
      typo in doc/gcrypt.texi (not a new patch)
  * Tidied up the debian/copyright file. Noted that the documentation is now
    licensed under the GPL (closes: #323458)
  * Remove Build-Depends-Indep as it contained no packages that are not in
    Build-Depends.
  * Remove the change to doc/gcrpyt.texi that rendered incorrectly.
  * Use symbol versioning by passing --enable-ld-version-script in
    DEB_CONFIGURE_EXTRA_FLAGS in debian/rules.

  [ Andreas Metzler ]
  * Add patches/13_powerpc64_284609.diff (not a new patch).
  * Set DEB_MAKE_CHECK_TARGET = check to run included testsuite.

 -- Andreas Metzler <ametzler@debian.org>  Sat,  8 Jul 2006 13:06:34 +0200

libgcrypt11 (1.2.2-1) unstable; urgency=low

  * Updated to new Upstream version.
  * Update shlibdep version to 1.2.2
  * Update copyright file with pointers to the current SCM archives.

 -- Matthias Urlichs <smurf@debian.org>  Tue, 18 Oct 2005 18:27:03 +0200

libgcrypt11 (1.2.1-5) unstable; urgency=low

  * Added shlibdep flag. Closes:#330019
  * Skip tests if cross-building. Closes:#286619
  * Fix the debian/copyright file. Closes:#323458
    - Also add a Suggests: libgcrypt11-doc to debian/control (same bug).

 -- Matthias Urlichs <smurf@debian.org>  Mon, 17 Oct 2005 19:20:23 +0200

libgcrypt11 (1.2.1-4) unstable; urgency=low

  * Fix HTML documentation generation (texi2html update).
    Closes: #318520: FTBFS: Cannot install docs

 -- Matthias Urlichs <smurf@debian.org>  Mon, 18 Jul 2005 00:02:52 +0200

libgcrypt11 (1.2.1-3) unstable; urgency=low

  * Rewrote Description: in debian/control.
    Closes: #291984: DSA is not a hash function
  * Added Priority: important to the runtime library, because it is.
  * Added a missing period to doc/gcrypt.texi.
    Closes: #317474: install-info errors during installation
  * Updated Standards-Version: to 3.6.2; no changes.

 -- Matthias Urlichs <smurf@debian.org>  Thu, 14 Jul 2005 05:55:01 +0200

libgcrypt11 (1.2.1-2) unstable; urgency=low

  * Fix FTBFS due to missing /usr/share/misc/config.guess file.

 -- Matthias Urlichs <smurf@debian.org>  Thu, 14 Jul 2005 05:55:01 +0200

libgcrypt11 (1.2.1-1) unstable; urgency=low

  * Merge with Upstream: v1.2.1
    Closes: #284905: FTBFS (amd64/gcc-4.0): invalid storage class for
                     function 'serpent_test'
  * Add Suggests: rng-tools.
    Closes: #286448: should suggest rng-tools

 -- Matthias Urlichs <smurf@debian.org>  Mon,  4 Jul 2005 01:06:34 +0200

libgcrypt11 (1.2.0-12) unstable; urgency=low

  * Suggest rng-tools (support for hardware random number generators
    on recent mainboards). From Marc Haber. Closes: #286448.

 -- Matthias Urlichs <smurf@debian.org>  Mon, 20 Dec 2004 15:24:13 +0100

libgcrypt11 (1.2.0-11) unstable; urgency=low

  * Support ppc64.
    Patch by Rafael Ávila de Espíndola <rafael.espindola@gmail.com>
    Closes:#284609

 -- Matthias Urlichs <smurf@debian.org>  Wed,  8 Dec 2004 16:59:34 +0100

libgcrypt11 (1.2.0-10) unstable; urgency=high

  * Revert accidental version number change in configure.ac.
    (Accidentally-applied patch while pulling bugfixes from CVS.)
    Sorry about that.

 -- Matthias Urlichs <smurf@debian.org>  Mon, 11 Oct 2004 09:28:53 +0200

libgcrypt11 (1.2.0-9) unstable; urgency=medium

  * Also add a Replaces: for -doc. *Sigh*.

 -- Matthias Urlichs <smurf@debian.org>  Tue,  5 Oct 2004 08:46:15 +0200

libgcrypt11 (1.2.0-8) unstable; urgency=medium

  * Let libgcrypt11-doc onflict with libgcrypt-doc
    - Closes: #274769
  * Fix FTBFS in test, due to latest glibc headers

 -- Matthias Urlichs <smurf@debian.org>  Mon,  4 Oct 2004 09:01:53 +0200

libgcrypt11 (1.2.0-7) unstable; urgency=medium

  * Added build-dep on binutils (>= 2.14.90.0.7)
    - Closes: #265255
  * Merged latest Upstream maintainance changes.

 -- Matthias Urlichs <smurf@debian.org>  Sun, 12 Sep 2004 01:26:41 +0200

libgcrypt11 (1.2.0-6) unstable; urgency=medium

  * Memory leak found by Modestas Vainius <modax@zveryno.mooo.com>.
    - Closes: #264428.
  * Revert hppa assembly code to old version;
    Upstream's new code isn't relocatable on Linux.
    (This change was included in the manually-built 1.2.0-4 on hppa.)

 -- Matthias Urlichs <smurf@debian.org>  Sun,  8 Aug 2004 23:32:53 +0200

libgcrypt11 (1.2.0-5) unstable; urgency=low



=== debian/control ===
Source: libgcrypt11
Section: libs
Priority: optional
Maintainer: Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>
Uploaders: Andreas Metzler <ametzler@debian.org>, Eric Dorland <eric@debian.org>, James Westby <jw+debian@jameswestby.net>
Build-Depends: debhelper (>> 4.1.0), docbook-utils, tetex-bin, docbook-to-man, jade, texinfo (>= 4.6-1), cdbs, texi2html (>= 1.76-1), libgpg-error-dev, autotools-dev
Standards-Version: 3.7.2

Package: libgcrypt11-doc
Section: doc
Architecture: all
Suggests: libgcrypt11-dev
Conflicts: libgcrypt7-doc, libgcrypt-doc
Replaces: libgcrypt7-doc, libgcrypt-doc
Description: LGPL Crypto library - documentation
 libgcrypt contains cryptographic functions.  Many important free
 ciphers, hash algorithms and public key signing algorithms have been
 implemented:
 arcfour, blowfish, cast5, DSA, des, 3DES, elgamal, MD5, rijndael,
 RMD160, RSA, SHA1, twofish, tiger.
 .
 This package contains developer documentation.

Package: libgcrypt11-dev
Section: libdevel
Architecture: any
Conflicts: libgcrypt-dev
Provides: libgcrypt-dev
Depends: libgcrypt11 (= ${Source-Version}), libc6-dev | libc-dev, libgpg-error-dev
Suggests: libgcrypt11-doc
Description: LGPL Crypto library - development files
 libgcrypt contains cryptographic functions.  Many important free
 ciphers, hash algorithms and public key signing algorithms have been
 implemented:
 arcfour, blowfish, cast5, DSA, des, 3DES, elgamal, MD5, rijndael,
 RMD160, RSA, SHA1, twofish, tiger.
 .
 This package contains header files and libraries for static linking.

Package: libgcrypt11-dbg
Priority: extra
Section: libdevel
Architecture: any
Depends: libgcrypt11 (= ${Source-Version})
Description: LGPL Crypto library - debugger files
 libgcrypt contains cryptographic functions.  Many important free
 ciphers, hash algorithms and public key signing algorithms have been
 implemented:
 arcfour, blowfish, cast5, DSA, des, 3DES, elgamal, MD5, rijndael,
 RMD160, RSA, SHA1, twofish, tiger.
 .
 This package contains symbol tables for debugging.

Package: libgcrypt11
Priority: important
Architecture: any
Depends: ${shlibs:Depends}
Suggests: rng-tools
Description: LGPL Crypto library - runtime library
 libgcrypt contains cryptographic functions.  Many important free
 ciphers, hash algorithms and public key signing algorithms have been
 implemented:
 arcfour, blowfish, cast5, DSA, des, 3DES, elgamal, MD5, rijndael,
 RMD160, RSA, SHA1, twofish, tiger.

=== debian/rules ===
#! /usr/bin/make -f
# Build the libgcrypt package for Debian.


include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

DEB_CONFIGURE_EXTRA_FLAGS := --enable-noexecstack --enable-ld-version-script
DEB_MAKE_CHECK_TARGET = check
ifeq ($(DEB_BUILD_ARCH),arm)
DEB_MAKE_CHECK_TARGET = check TESTS="prime register ac basic tsexp keygen benchmark random t-mpi-bit"
endif
ifeq ($(DEB_BUILD_ARCH),sparc)
DEB_MAKE_CHECK_TARGET = check TESTS="prime register ac basic tsexp keygen benchmark random t-mpi-bit"
endif
ifeq ($(DEB_BUILD_ARCH),s390)
DEB_MAKE_CHECK_TARGET = check TESTS="prime register ac basic tsexp keygen benchmark random t-mpi-bit"
endif
DEB_DH_STRIP_ARGS = --dbg-package=libgcrypt11
DEB_DH_MAKESHLIBS_ARGS := -V 'libgcrypt11 (>=1.2.2)'

clean::
	if test -f ltmain.sh ; then touch ltmain.sh; else libtoolize -c -f --automake; fi
	if test -f aclocal.m4 ; then touch aclocal.m4; else aclocal-1.9 -I m4 ; fi
	if test -f config.h.in ; then touch config.h.in; else autoheader2.50; fi
	if test -f Makefile.in ; then find . -name Makefile.in -exec touch {} \; ;\
		else automake-1.9 --copy --add-missing; fi

	if test -f configure ; then touch configure; else autoconf2.50; fi
	-rm -rf autom4te.cache
	-rm -f tests/stamp-tests

common-configure-impl:: $(DEB_BUILDDIR)/doc/stamp-vti
$(DEB_BUILDDIR)/doc/stamp-vti:
	cd $(DEB_SRCDIR)/doc && $(MAKE) stamp-vti

build/libgcrypt11-doc:: $(DEB_BUILDDIR)/config.status
	cd $(DEB_SRCDIR)/doc && $(MAKE) gcrypt.ps
	cd $(DEB_SRCDIR)/doc && texi2html -split=chapter gcrypt.texi

common-post-build-arch:: $(DEB_BUILDDIR)/stamp-tests
$(DEB_BUILDDIR)/stamp-tests:
	cd $(DEB_SRCDIR)/tests && $(MAKE)

ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	$(DEB_BUILDDIR)/tests/register
	$(DEB_BUILDDIR)/tests/tsexp
	$(DEB_BUILDDIR)/tests/prime
endif

## libgcrypt11 1.2.3-2.maemo1

=== debian/changelog ===
libgcrypt11 (1.2.3-2.maemo1) unstable; urgency=low

  * get rid of building docs

 -- Ed Bartosh <bartosh@gmail.com>  Thu, 26 Jun 2008 21:16:11 +0300

=== debian/control ===
--- 
+++ 
@@ -3,23 +3,23 @@
 Priority: optional
 Maintainer: Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>
 Uploaders: Andreas Metzler <ametzler@debian.org>, Eric Dorland <eric@debian.org>, James Westby <jw+debian@jameswestby.net>
-Build-Depends: debhelper (>> 4.1.0), docbook-utils, tetex-bin, docbook-to-man, jade, texinfo (>= 4.6-1), cdbs, texi2html (>= 1.76-1), libgpg-error-dev, autotools-dev
+Build-Depends: debhelper (>> 4.1.0), cdbs, libgpg-error-dev, autotools-dev
 Standards-Version: 3.7.2
 
-Package: libgcrypt11-doc
-Section: doc
-Architecture: all
-Suggests: libgcrypt11-dev
-Conflicts: libgcrypt7-doc, libgcrypt-doc
-Replaces: libgcrypt7-doc, libgcrypt-doc
-Description: LGPL Crypto library - documentation
- libgcrypt contains cryptographic functions.  Many important free
- ciphers, hash algorithms and public key signing algorithms have been
- implemented:
- arcfour, blowfish, cast5, DSA, des, 3DES, elgamal, MD5, rijndael,
- RMD160, RSA, SHA1, twofish, tiger.
- .
- This package contains developer documentation.
+#Package: libgcrypt11-doc
+#Section: doc
+#Architecture: all
+#Suggests: libgcrypt11-dev
+#Conflicts: libgcrypt7-doc, libgcrypt-doc
+#Replaces: libgcrypt7-doc, libgcrypt-doc
+#Description: LGPL Crypto library - documentation
+# libgcrypt contains cryptographic functions.  Many important free
+# ciphers, hash algorithms and public key signing algorithms have been
+# implemented:
+# arcfour, blowfish, cast5, DSA, des, 3DES, elgamal, MD5, rijndael,
+# RMD160, RSA, SHA1, twofish, tiger.
+# .
+# This package contains developer documentation.
 
 Package: libgcrypt11-dev
 Section: libdevel

=== debian/rules ===
--- 
+++ 
@@ -31,20 +31,20 @@
 	-rm -rf autom4te.cache
 	-rm -f tests/stamp-tests
 
-common-configure-impl:: $(DEB_BUILDDIR)/doc/stamp-vti
-$(DEB_BUILDDIR)/doc/stamp-vti:
-	cd $(DEB_SRCDIR)/doc && $(MAKE) stamp-vti
+#common-configure-impl:: $(DEB_BUILDDIR)/doc/stamp-vti
+#$(DEB_BUILDDIR)/doc/stamp-vti:
+#	cd $(DEB_SRCDIR)/doc && $(MAKE) stamp-vti
 
-build/libgcrypt11-doc:: $(DEB_BUILDDIR)/config.status
-	cd $(DEB_SRCDIR)/doc && $(MAKE) gcrypt.ps
-	cd $(DEB_SRCDIR)/doc && texi2html -split=chapter gcrypt.texi
+#build/libgcrypt11-doc:: $(DEB_BUILDDIR)/config.status
+#	cd $(DEB_SRCDIR)/doc && $(MAKE) gcrypt.ps
+#	cd $(DEB_SRCDIR)/doc && texi2html -split=chapter gcrypt.texi
 
-common-post-build-arch:: $(DEB_BUILDDIR)/stamp-tests
-$(DEB_BUILDDIR)/stamp-tests:
-	cd $(DEB_SRCDIR)/tests && $(MAKE)
+#common-post-build-arch:: $(DEB_BUILDDIR)/stamp-tests
+#$(DEB_BUILDDIR)/stamp-tests:
+#	cd $(DEB_SRCDIR)/tests && $(MAKE)
 
-ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
-	$(DEB_BUILDDIR)/tests/register
-	$(DEB_BUILDDIR)/tests/tsexp
-	$(DEB_BUILDDIR)/tests/prime
-endif
+#ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
+#	$(DEB_BUILDDIR)/tests/register
+#	$(DEB_BUILDDIR)/tests/tsexp
+#	$(DEB_BUILDDIR)/tests/prime
+#endif

## libgcrypt11 1.4.1-2

=== debian/changelog ===
libgcrypt11 (1.4.1-2) unstable; urgency=low

  * Maemo port (dvips replaced with touch)

 -- Colin Leroy <colin@colino.net>  Sat, 20 Dec 2008 15:31:37 +0100

libgcrypt11 (1.4.1-1) unstable; urgency=low

  * New upstream version.
    - includes debian/patches/13_fixexcessiverandom.diff
  * Add Vcs-Svn: and Vcs-Browser control fields.
  * Register libgcrypt11-doc with doc-base. (Closes: #472292)
  * Use passive ftp instead of http in watchfile.
  * Fix format errors in libgcrypt-config.1 (lintian)
  * Stop (Build-)Depending on -0 versions (lintian)

 -- Andreas Metzler <ametzler@debian.org>  Sat, 26 Apr 2008 11:38:29 +0200

libgcrypt11 (1.4.0-3) unstable; urgency=low

  * Added debian/patches/13_fixexcessiverandom.diff: Patch by upstream
    reducing /dev/*random usage for initialising the RNG to less than 1/100.
    This bug had been introduced in 1.3.1.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 08 Jan 2008 19:49:13 +0100

libgcrypt11 (1.4.0-2) unstable; urgency=low

  * Bump shlibs, new symbols added. (Should have been done in 1.4.0-1.)
  * B-d on libgpg-error-dev (>= 1.4).
  * First upload of 1.4.x to unstable, including alll changes from 1.3.0-1 to
    1.4.0-1:
    - gcrypt now uses abort() instead of exit() for critical errors (missing
      /dev/random) Closes: #412408

 -- Andreas Metzler <ametzler@debian.org>  Wed, 12 Dec 2007 20:02:34 +0100

libgcrypt11 (1.4.0-1) experimental; urgency=low

  * New upstream stable version.
  * Standards-Version: 3.7.3. ${binary:Version} instead of ${Source-Version}.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 10 Dec 2007 19:14:29 +0100

libgcrypt11 (1.3.2-1) experimental; urgency=low

  * New upstream version.
    - Remove 14_ftbfs_hppa_448377.diff (already included).
    - gcrypt now uses abort() instead of exit() for critical errors (missing
      /dev/random) Closes: #412408
    - Pull new copyright header from source, getting rid of
      old-fsf-address-in-copyright-file error.

 -- Andreas Metzler <ametzler@debian.org>  Thu,  6 Dec 2007 19:02:35 +0100

libgcrypt11 (1.3.1-2) experimental; urgency=low

  * Add patches/14_ftbfs_hppa_448377.diff to actually make use of asm
    routines. Fixes FTBFS on HPPA. Closes: #448377
  * Make dumpsexp.8 more useful.

 -- Andreas Metzler <ametzler@debian.org>  Thu,  1 Nov 2007 09:02:17 +0100

libgcrypt11 (1.3.1-1) experimental; urgency=low

  * New upstream version.
   - includes dumpsexp, a tool for debugging s-expressions. Ship it in
     libgcrypt11-dev and add are minimal manpage (generated by help2man).
  * Update debian/copyright.
  * Change build-dep to prefer texlive-latex-base over tetex-bin.
  * Drop docbook-utils, docbook-to-man and jade from build-deps.
  * Drop 13_fixPIC.diff 14_udiv_asm_fix_1253.diff 50_re_autofoo.diff

 -- Andreas Metzler <ametzler@debian.org>  Fri, 26 Oct 2007 17:56:18 +0200

libgcrypt11 (1.3.0-2) experimental; urgency=low

  * 14_udiv_asm_fix_1253: Pulled from upstream SVN 1252:1253. Fix
    build-failure on hppa. (Closes: #424616)
  * 50_re_autofoo.diff regenerated and renamed.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 20 May 2007 09:12:06 +0200

libgcrypt11 (1.3.0-1) experimental; urgency=low

  * New upstream development release 1.3.0.
    - includes 11_gcrypt_h_362636.patch and 13_powerpc64_284609.diff
    - Support for SEED cipher and SHA-224 and HMAC using SHA-384 and SHA-512.
  * Pulled from SVN:
    - 13_fixPIC.diff to fix shlib-with-non-pic-code.
  * run auto* 14_re_autofoo.diff
  * bump shlibs to 1.3.0.

 -- Andreas Metzler <ametzler@debian.org>  Mon,  9 Apr 2007 12:57:15 +0200

libgcrypt11 (1.2.4-2) unstable; urgency=low

  * Upload to unstable.
  * Drop -lgpg-error from libgcrypt-config --libs output. (Closes: #405238)
  * Switch to debhelper v5 mode.
  * New upstream version closes filehandles in gcry_rndlinux_gather_random().
    (Closes: #403613)

 -- Andreas Metzler <ametzler@debian.org>  Mon,  9 Apr 2007 11:22:41 +0200

libgcrypt11 (1.2.4-1) experimental; urgency=low

  [ Andreas Metzler ]
  * Add a watch file.
  * Update download URL and example copyright statement in debian/copyright.
  * New upstream version.
  * Update patches/11_gcrypt_h_362636.patch to change gcrypt.h.in instead of
    gcrypt.h.

 -- Andreas Metzler <ametzler@debian.org>  Sat,  3 Feb 2007 13:58:51 +0100

=== debian/control ===
Source: libgcrypt11
Section: libs
Priority: optional
Maintainer: Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>
Uploaders: Andreas Metzler <ametzler@debian.org>, Eric Dorland <eric@debian.org>, James Westby <jw+debian@jameswestby.net>, Simon Josefsson <simon@josefsson.org>
Build-Depends: debhelper (>> 5.0.0), cdbs, libgpg-error-dev (>= 1.4), autotools-dev
Standards-Version: 3.7.3
Vcs-Svn: svn://svn.debian.org/svn/pkg-gnutls/packages/libgcrypt11/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnutls/packages/libgcrypt11/trunk/

Package: libgcrypt11-dev
Section: libdevel
Architecture: any
Conflicts: libgcrypt-dev
Provides: libgcrypt-dev
Depends: libgcrypt11 (= ${binary:Version}), libc6-dev | libc-dev, libgpg-error-dev
Description: LGPL Crypto library - development files
 libgcrypt contains cryptographic functions.  Many important free
 ciphers, hash algorithms and public key signing algorithms have been
 implemented:
 arcfour, blowfish, cast5, DSA, DSA2, des, 3DES, elgamal, MD5, rijndael,
 RMD160, RSA, SEED, SHA1, SHA-384, SHA-512, twofish, tiger.
 .
 This package contains header files and libraries for static linking.

Package: libgcrypt11-dbg
Priority: extra
Section: libdevel
Architecture: any
Depends: libgcrypt11 (= ${binary:Version})
Description: LGPL Crypto library - debugger files
 libgcrypt contains cryptographic functions.  Many important free
 ciphers, hash algorithms and public key signing algorithms have been
 implemented:
 arcfour, blowfish, cast5, DSA, DSA2, des, 3DES, elgamal, MD5, rijndael,
 RMD160, RSA, SEED, SHA1, SHA-384, SHA-512, twofish, tiger.
 .
 This package contains symbol tables for debugging.

Package: libgcrypt11
Priority: important
Architecture: any
Depends: ${shlibs:Depends}
Suggests: rng-tools
Description: LGPL Crypto library - runtime library
 libgcrypt contains cryptographic functions.  Many important free
 ciphers, hash algorithms and public key signing algorithms have been
 implemented:
 arcfour, blowfish, cast5, DSA, DSA2, des, 3DES, elgamal, MD5, rijndael,
 RMD160, RSA, SEED, SHA1, SHA-384, SHA-512, twofish, tiger.

=== debian/rules ===
#! /usr/bin/make -f
# Build the libgcrypt package for Debian.


include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

DEB_CONFIGURE_EXTRA_FLAGS := --enable-noexecstack --enable-ld-version-script
DEB_MAKE_CHECK_TARGET = check
ifeq ($(DEB_BUILD_ARCH),arm)
DEB_MAKE_CHECK_TARGET = check TESTS="version prime register ac ac-schemes ac-data mpitests hmac keygrip basic tsexp keygen benchmark random t-mpi-bit"
endif
ifeq ($(DEB_BUILD_ARCH),sparc)
DEB_MAKE_CHECK_TARGET = check TESTS="version prime register ac ac-schemes ac-data mpitests hmac keygrip basic tsexp keygen benchmark random t-mpi-bit"
endif
ifeq ($(DEB_BUILD_ARCH),s390)
DEB_MAKE_CHECK_TARGET = check TESTS="version prime register ac ac-schemes ac-data mpitests hmac keygrip basic tsexp keygen benchmark random t-mpi-bit"
endif
DEB_DH_STRIP_ARGS = --dbg-package=libgcrypt11-dbg
DEB_DH_MAKESHLIBS_ARGS := -V 'libgcrypt11 (>=1.4.0)'

clean::
	if test -f ltmain.sh ; then touch ltmain.sh; else libtoolize -c -f --automake; fi
	if test -f aclocal.m4 ; then touch aclocal.m4; else aclocal-1.9 -I m4 ; fi
	if test -f config.h.in ; then touch config.h.in; else autoheader2.50; fi
	if test -f Makefile.in ; then find . -name Makefile.in -exec touch {} \; ;\
		else automake-1.9 --copy --add-missing; fi

	if test -f configure ; then touch configure; else autoconf2.50; fi
	-rm -rf autom4te.cache
	-rm -f tests/stamp-tests

common-configure-impl:: $(DEB_BUILDDIR)/doc/stamp-vti
$(DEB_BUILDDIR)/doc/stamp-vti:
	cd $(DEB_SRCDIR)/doc && $(MAKE) stamp-vti

common-post-build-arch:: $(DEB_BUILDDIR)/stamp-tests
$(DEB_BUILDDIR)/stamp-tests:
	cd $(DEB_SRCDIR)/tests && $(MAKE)

ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	$(DEB_BUILDDIR)/tests/register
	$(DEB_BUILDDIR)/tests/tsexp
	$(DEB_BUILDDIR)/tests/prime
endif
